# Cancel a sell order

URL: <https://fwallet.net/fruits?requestType=nftApi>

Method: POST&#x20;

Required fields:

* method: This must be "setNotForSale”.
* amountNQT: This must be "0”.
* arg1: The Offer ID. You can get Offer ID by calling "Get NFT By URI" API.
* contractName: The created smart contract name. For example: "PFT".
* secretPhrase: The passphrase of NFT owner.
* feeNQT: This must be "0".
* deadline: Transaction confirmation deadline. Suggested value is 1440.

**-->** You need to wait 2 blocks, the NFT sale will be canceled successfully.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.fwallet.net/fruits-node-api-for-single-nft/cancel-a-sell-order.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
